<?php


namespace TDevAgency\Erp\Helpers;


use TDevAgency\Erp\Models\Order;

class OrderHelper
{
    public static function orderStatus($status)
    {
        $statuses = [
            Order::STATUS_NEW => '<span class="text-warning">Новый</span>',
            Order::STATUS_INPROGRESS => '<span class="text-info">Обработка</span>',
            Order::STATUS_ON_DELIVERY => '<span class="text-primary">Доставка</span>',
            Order::STATUS_DONE => '<span class="text-success">Выполнен</span>',
            Order::STATUS_CLOSED => '<span class="text-danger">Закрыт</span>',
            Order::STATUS_REFUND => '<span class="text-danger">Возврат</span>',
            Order::STATUS_REJECT => '<span class="text-danger">Отменен</span>',
        ];

        return $statuses[$status];
    }
}
